<?php
/*************************************************************************/
/*                    escrever.php
/*                    Autor: gor Bonadio
/*                    E-Mail: igorbonadio@yahoo.com.br							
/*
/*                    Descrio: Verso 1.0 - 26/02/04
/*                    Trilha Sonara: The White Stripes - Jolene           
/*************************************************************************/

include "./biblioteca/fasttemplate/fasttemplate.php";
include "config.php";

//------>Funo que modifica a mensagem adicionando as tag corretas<-----//
function Modificar ($mensagem) 
{
  	$mensagem = str_replace ("\t", "", $mensagem);
  	$mensagem = str_replace ("\r", "", $mensagem);
    $mensagem = str_replace ("\n", "<br>", $mensagem);
    return $mensagem;
}

//------------------------>Mostra o formulrio<--------------------------//
if($acao != "Enviar")
{
    $Template = new FastTemplate("./template");
    $Template->define(array("escrever"=>"escrever.tpl.htm",
                            "opicao"=>"opicao.tpl.htm"));
    $Data = date("d/m/y - H:i");
    $Template->assign("{DATA}",$Data);
    $opcoes = array("[ler]" => "index.php",
                    "[estatistica]" => "estatistica.php");
    reset($opcoes);
    while (list($opic,$linkopic) = each($opcoes))
    {
        $Template->assign("{OPIC}",$opic);
        $Template->assign("{LINKOPIC}",$linkopic);
        $Template->parse("{OPICAO}",".opicao");
    }
	
    $Template->parse("OUTPUT","escrever");
    $Template->FastPrint("OUTPUT");
}
//---------------------->Aps Preencher o Formulrio<--------------------//
else
{
//------------->Verifica se todos os campos esto preenchidos<-----------//
    if($TxtNome == "" || $TxtEmail == "" || $TxtMensagem == "")
    {
        echo "ERRO: Preencha todos os campos";
    }
//--------------------->Escreve no banco de dados TXT<-------------------//
    else
    {
        if(file_exists($BANCODEDADOS))
        {
            $dbopen = fopen($BANCODEDADOS,"a");
            $TxtMensagem = Modificar($TxtMensagem);
            $msg = $TxtNome."|".$TxtEmail."|".time()."|".$MnNota."|".$TxtMensagem."\n";
            fwrite($dbopen,$msg);
            fclose($dbopen);
            $TemplateFim = new FastTemplate("./template");
            $TemplateFim->define(array("fim"=>"fimescrever.tpl.htm"));
            $TemplateFim->parse("OUTPUT","fim");
            $TemplateFim->FastPrint("OUTPUT");
        }
    }
}
?>