<?php
/*************************************************************************/
/*                     index.php
/*                     Autor: gor Bonadio
/*                     E-Mail: igorbonadio@yahoo.com.br							
/*
/*                     Descrio: Verso 1.0 - 26/02/04
/*                     Trilha Sonora: Pixies - Vamos           
/*************************************************************************/

include "./biblioteca/fasttemplate/fasttemplate.php";
include "config.php";

//-------------------------->Inicializa Template<------------------------//
$Template = new FastTemplate("./template");
$Template->define(array("meio"=>"meio.tpl.htm",
                        "paginas"=>"paginas.tpl.htm",
                        "principal"=>"principal.tpl.htm",
                        "opicao"=>"opicao.tpl.htm"));

//----------------------------->Data TXT<--------------------------------//
$Data = date("d/m/y - H:i");
$Template->assign("{DATA}",$Data);

//-------------------------->Banco de Dados<-----------------------------//
$db = file($BANCODEDADOS);
$db = array_reverse($db);
$c = count($db);
$pagina = ceil($c/$PORPAG);
if($pg == 0)
    $pg = 1;
else if($pg > $pagina)
    $pg = 1;
else if(!is_numeric($pg))
    $pg = 1;
else
    $pg = $pg;
$inic = ($PORPAG*$pg)-$PORPAG;
$fim = $PORPAG*$pg;
if($fim > $c)
    $fim = $c;
for($a=$inic;$a<$fim;$a++)
{
    list($nome,$email,$date,$nota,$mensagem,$resp) = explode("|",$db[$a]);
    $Template->assign("{NOME}",$nome);
    $Template->assign("{EMAIL}",$email);
    $Template->assign("{DATE}",date("d/m/y",$date));
    $Template->assign("{NOTA}",$nota);
    $Template->assign("{MENSAGEM}",$mensagem);
    $Template->assign("{RESP}",$resp);
    $Template->parse("{MEIO}",".meio");
}
if($c == 0)
    $Template->assign("{MEIO}","No contem mensagens");
//---------------------------->Pginas<----------------------------------//
if($pagina == 1 || $pagina == 0)
{
    $Template->assign("{PAG}","1");
    $Template->assign("{LINKPAG}","index.php?pg=1");
    $Template->assign("{ANTERIOR}","index.php?pg=1");
    $Template->assign("{PROXIMA}","index.php?pg=1");
    $Template->parse("{PAGINAS}","paginas");
}
else
{
    for($a=1;$a<=$pagina;$a++)
    {
        $Template->assign("{PAG}",$a);
        $Template->assign("{LINKPAG}","index.php?pg=".$a);
        $Template->assign("{ANTERIOR}","index.php?pg=".($pg-1));
        $Template->assign("{PROXIMA}","index.php?pg=".($pg+1));
        $Template->parse("{PAGINAS}",".paginas");
    }
}

//---------------------------->Opes<-----------------------------------//
$opcoes = array("[escrever]" => "escrever.php",
                "[estatistica]" => "estatistica.php");
reset($opcoes);
while (list($opic,$linkopic) = each($opcoes))
{
    $Template->assign("{OPIC}",$opic);
    $Template->assign("{LINKOPIC}",$linkopic);
    $Template->parse("{OPICAO}",".opicao");
}

//------------------------->Imprime Template<----------------------------//
$Template->parse("OUTPUT","principal");
$Template->FastPrint("OUTPUT");
?>